const commonEnv = {
    appId: 'jbfl8tmefa55olt',
    cryptoSecret: '__JBolt__Crypto__',
    defaultUploadTo: 'server',    //qiniu:图片传到七牛云,server:传到本地服务器
    defaultQiniuSn: '',
    serverUploadApi: '/commonConfig/uploadFileToLocal'// 上传到本地的接口
}

// 读取角色API, 传入workspace_id, main_project_id, sub_project_id

/** TODO 二开：不同环境的请求服务配置 */
const serviceEnv = {
    dev: Object.assign({}, commonEnv, {
        url: 'http://172.16.196.241:8013',
        // url: 'http://192.168.31.130:8013',
        wsUrl: 'http://127.0.0.1:8013/ws'
    }),
    test: Object.assign({}, commonEnv, {
        url: 'http://127.0.0.1:8013',
        wsUrl: 'ws://127.0.0.1:8080/ws'
    }),
    prod: Object.assign({}, commonEnv, {
        url: 'http://127.0.0.1:8013',
        wsUrl: 'ws://127.0.0.1:8013/ws'
    })
}

/**
 * 获取当前环境模式下的请求服务的配置
 * @param env 环境
 */
export function getServiceEnvConfig(env) {
    const { VITE_SERVICE_ENV = 'dev' } = env

    const config = serviceEnv[VITE_SERVICE_ENV]

    return {
        ...config,
        proxyPattern: '/proxy-pattern'
    }
}

/**
 * 获取当前环境模式下的请求服务的url
 * @param env
 */
export function getServerUrl(env) {
    const { VITE_SERVICE_ENV = 'dev' } = env

    const config = serviceEnv[VITE_SERVICE_ENV]

    return config.url
}

/**
 * 获取当前环境模式下的请求服务的url
 * @param env
 */
export function getServerWsUrl(env) {
    const { VITE_SERVICE_ENV = 'dev' } = env

    const config = serviceEnv[VITE_SERVICE_ENV]

    return config.wsUrl
}
