import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { AiAppVO, AiAppForm, AiAppQuery } from '@/api/app/types';

/**
 * 查询AI应用列表
 * @param query
 * @returns {*}
 */

export const listAiApp = (query?: AiAppQuery): AxiosPromise<AiAppVO[]> => {
  return request({
    url: '/aiApp/list',
    method: 'get',
    params: query
  });
};



/**
 * 查询AI应用列表
 * @param query
 * @returns {*}
 */



/**
 * 查询AI应用详细
 * @param id
 */
export const getAiApp = (id: string | number): AxiosPromise<AiAppVO> => {
  return request({
    url: '/aiApp/getById/' + id,
    method: 'get'
  });
};

/**
 * 新增AI应用
 * @param data
 */
export const addAiApp = (data: AiAppForm) => {
  return request({
    url: '/aiApp',
    method: 'post',
    data: data
  });
};

/**
 * 修改AI应用
 * @param data
 */
export const updateAiApp = (data: AiAppForm) => {
  return request({
    url: '/aiApp/update',
    method: 'post',
    data: data
  });
};

/**
 * 删除AI应用
 * @param id
 */
export const delAiApp = (id: string | number | Array<string | number>) => {
  return request({
    url: '/aiApp/' + id,
    method: 'delete'
  });
<<<<<<< HEAD
};/**
 * 删除AI应用
 * @param linkType
 * @param linkId
 * @param configKey
 */
export const getConfigByCondition = (linkType: string,linkId: string,configKey: string) => {
  return request({
    url: '/aiAppConfig/getConfigByCondition',
    method: 'get'
  });
=======
>>>>>>> origin/rlzc-v0.1
};
