export interface AiAppVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 应用名称
   */
  name: string;

  /**
   * SN
   */
  sn: string;

  /**
   * 简要信息
   */
  briefInfo: string;

  /**
   * 应用类型
   */
  appType: string;

  /**
   * 是否是内置app
   */
  isBuildIn: number;

  /**
   * 是否启用
   */
  enable: number;

}

export interface AiAppForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 应用名称
   */
  name?: string;

  /**
   * SN
   */
  sn?: string;

  /**
   * 简要信息
   */
  briefInfo?: string;

  /**
   * 应用类型
   */
  appType?: string;

  /**
   * 是否是内置app
   */
  isBuildIn?: number;

  /**
   * 是否启用
   */
  enable?: number;

}

export interface AiAppQuery extends PageQuery {

  /**
   * 应用名称
   */
  name?: string;

  /**
   * SN
   */
  sn?: string;

  /**
   * 简要信息
   */
  briefInfo?: string;

  /**
   * 应用类型
   */
  appType?: string;

  /**
   * 是否是内置app
   */
  isBuildIn?: number;

  /**
   * 是否启用
   */
  enable?: number;

  /**
   * 日期范围参数
   */
  params?: any;

  /**
   * 排序字段
   */
  orderByColumn: string;
  /**
   * 排序方式
   */
  isAsc: string;

  /**
   * 分页页数
   */
  page: number;
}



