import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { AiAppVO, AiAppForm, AiAppQuery } from '@/api/ai/app/types';

/**
 * 聊天记录清除
 * @param activeChatId
 * @returns {*}
 */

export const deleteBySessionId = (activeChatId: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppMessage/deleteBySessionId/'+activeChatId,
    method: 'get',
  });
};
/**
 * 删除消息
 * @param id
 */
export const delMsgById = (id: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppMessage/delMsgById/'+id,
    method: 'get',
  });
};

export const getListByPage = (params: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppMessage/getListByPage',
    method: 'get',
    params:params
  });
};

/**
 * 获取app应用
 * @param appSn
 */
export const getBySn = (appSn: any): AxiosPromise<any> => {
  return request({
    url: '/aiApp/getBySn/'+appSn,
    method: 'get',
  });
};


/**
 * 获取session
 * @param appSn
 */
export const getByIdSession = (id: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppSession/getById/'+id,
    method: 'get',
  });
};
/**
 * 删除session
 * @param appSn
 */
export const deleteSession = (id: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppSession/delete/'+id,
    method: 'get',
  });
};
/**
 * 更新session
 * @param data
 */
export const update = (data: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppSession/update',
    method: 'post',
    data:data
  });
};
/**
 * 新建session
 * @param data
 */
export const add = (data: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppSession/add',
    method: 'post',
    data:data
  });
};

export const getListSessionByPage = (params: any): AxiosPromise<any> => {
  return request({
    url: '/aiAppSession/getListByPage',
    method: 'get',
    params:params
  });
};
