# JBolt AI 聊天组件文档
## 主要组件和功能说明：

1. 核心组件 AiChat:

    * 主要的聊天应用控制器
    * 管理WebSocket连接和消息收发
    * 处理聊天状态（等待、接收中、就绪、断开）
    * 集成和管理其他子组件


2. 基础组件 BaseElement:

    * 所有组件的基类
    * 提供组件间数据注入和通信机制
    * 实现组件树的依赖传递


3. 消息面板 ChatMessagePanel:

    * 管理消息列表的显示
    * 处理消息的添加、删除和滚动
    * 支持历史消息加载
    * 实现消息的流式显示


4. 操作面板 ChatOptPanel:

    * 提供消息输入框
    * 实现发送按钮和设置按钮
    * 处理文件上传功能
    * 支持消息字数统计


5. 消息组件 ChatMessage:

    * 显示单条消息内容
    * 支持Markdown渲染
    * 提供复制和删除功能
    * 显示消息发送时间和状态


6. 参考资料组件 ReferenceItem:

    * 显示引用的资料内容
    * 支持不同类型的引用（文本、网站、文档）
    * 提供可展开/收起的内容展示


7.提示组件：

    * ChatTip: 显示聊天状态提示
    * MsgTip: 显示消息相关的提示信息



## 关键功能特性：

1. WebSocket通信：

    * 支持实时消息收发
    * 自动重连机制
    * 支持消息标识和追踪


2. 消息处理：

    * 支持流式响应
    * Markdown格式解析
    * 引用资料展示
    * 消息复制和删除


3. 用户界面：

    * 响应式设计
    * 自适应高度的输入框
    * 平滑滚动效果
    * 优雅的加载状态显示


4. 数据管理：

    * 历史消息加载
    * 会话状态管理
    * 全局参数配置
    * 错误处理机制