// 自动注册全局组件

const customerElements = [
    "chat-message",
    'chat-message-panel',
    'chat-opt-panel',
    'chat-tip',
    'msg-tip',
    'reference-item'
]

export function registerComponents(app) {
    // 自动导入 _builtin 目录下的所有组件
    const components = import.meta.glob('@/components/_builtin/*/index.vue', { eager: true })

    Object.entries(components).forEach(([path, module]) => {
        // 获取组件名称
        const componentName = path.split('/').slice(-2)[0]
        // 注册组件
        app.component(componentName, module.default || module)
    })

    // 将所有
    app.config.compilerOptions.isCustomElement = (tag) => {
        return customerElements.some(item => item == tag);
    }

}
